# LIST\_ACCOUNT\_SNAPSHOTS

## Overview

*This method returns a list of snapshot accounts within the provided slot range.*&#x20;

{% openapi src="/files/3RlMXtWS0hCcspcmBEFB" path="/query/solana" method="post" %}
[Carpool\_dev-LIST\_ACCOUNT\_SNAPSHOTS-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F9jrpRAzdwIARX13ijBha%2FCarpool_dev-LIST_ACCOUNT_SNAPSHOTS-0.1-resolved.json?alt=media\&token=cc26023e-129f-4487-a99c-1e8e5d8d0178)
{% endopenapi %}

## Example

**Program** - *Candy Machine*

**Description** *- Return a list of snapshots of the CandyMachine account: Avax...wh8K for the given slot range. Only include the following fields in the response body: slot, writeVersion, owner, pubKey, data.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "LIST_ACCOUNT_SNAPSHOTS",
  "query": {
    "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
    "accountName": "CandyMachine",
    "accountPubKey": "AvAx5oEWscpGudFSrWKPqsGypfeKGM1DriUXSRc7wh8K",
    "slotRange": {
      "before": 206312643,
      "after": 202424643
    },
    "limit": 10,
    "fields": [
      "slot",
      "writeVersion",
      "owner",
      "pubKey",
      "data"
    ],
    "pagination": {
      "offset": 0,
      "limit": 20
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "LIST_ACCOUNT_SNAPSHOTS",
    "query": {
        "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
        "accountName": "CandyMachine",
        "accountPubKey": "AvAx5oEWscpGudFSrWKPqsGypfeKGM1DriUXSRc7wh8K",
        "slotRange": {
            "before": 206312643,
            "after": 202424643
        },
        "limit": 10,
        "fields": ["slot", "writeVersion", "owner", "pubKey", "data"],
        "pagination": {
            "offset": 0,
            "limit": 20
        }
    }
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/account-archive/list_account_snapshots.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
